package com.arrebol.taxiservicios.model.stocktaking;

import com.arrebol.taxiservicios.model.enums.ServiceOrderActionType;
import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public class ServiceOrderNotification implements Serializable {

    private static final long serialVersionUID = -7310145912455523467L;

    private String id;
    private String title;
    private String message;
    private Date createdOn;
    private ServiceOrderActionType actionType;
    private Set<ServiceOrderNotificationDeliveryTo> serviceOrderNotificationDeliveryTos = new HashSet(0);

    public ServiceOrderNotification() {
    }

    /**
     *
     * @param id
     */
    public ServiceOrderNotification(String id) {
        this.id = id;
    }

    /**
     * Complete constructor.
     *
     * @param id
     * @param title
     * @param message
     * @param createdOn
     * @param actionType
     */
    public ServiceOrderNotification(String id, String title, String message, Date createdOn, ServiceOrderActionType actionType) {
        this.id = id;
        this.title = title;
        this.message = message;
        this.createdOn = createdOn;
        this.actionType = actionType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public ServiceOrderActionType getActionType() {
        return actionType;
    }

    public void setActionType(ServiceOrderActionType actionType) {
        this.actionType = actionType;
    }

    public Set<ServiceOrderNotificationDeliveryTo> getServiceOrderNotificationDeliveryTos() {
        return serviceOrderNotificationDeliveryTos;
    }

    public void setServiceOrderNotificationDeliveryTos(Set<ServiceOrderNotificationDeliveryTo> serviceOrderNotificationDeliveryTos) {
        this.serviceOrderNotificationDeliveryTos = serviceOrderNotificationDeliveryTos;
    }

    @Override
    public String toString() {
        return "ServiceOrderNotification{" + "title=" + title + ", message=" + message + '}';
    }

}
